Skip to main content
POST
/
v1
/
sdk
/
invalidate
Retract a Memory.
curl --request POST \
  --url https://api.reload.chat/v1/sdk/invalidate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "memory_id": "<string>",
  "expected_version": 123,
  "reason": "<string>"
}
'
{
  "data": {
    "id": "<string>",
    "org_id": "<string>",
    "content": "<string>",
    "confidence": 123,
    "version": 123,
    "ttl_seconds": 123,
    "created_at": "2023-11-07T05:31:56Z",
    "last_reinforced_at": "2023-11-07T05:31:56Z",
    "expires_at": "2023-11-07T05:31:56Z",
    "invalidated_at": "2023-11-07T05:31:56Z",
    "invalidated_by": "<string>",
    "invalidated_reason": "<string>",
    "content_hash": "<string>",
    "metadata": {}
  },
  "meta": {
    "requestId": "<string>",
    "timestamp": "2023-11-07T05:31:56Z",
    "pagination": {
      "hasMore": true,
      "cursor": "<string>",
      "total": 123,
      "historyCutoff": {
        "beyondCount": 123,
        "cutoffAt": "2023-11-07T05:31:56Z"
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
memory_id
string
required
expected_version
integer
required
reason
string
required

Response

Success

success
enum<boolean>
required
Available options:
true
data
object
required
meta
object